<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Default Extension
 *
 * @package		Default module
 * @category	Modules
 * @author		Rein de Vries <info@reinos.nl>
 * @link		http://reinos.nl
 * @copyright 	Copyright (c) 2013 Reinos.nl Internet Media
 */

/**
 * Include the config file
 */
require_once PATH_THIRD.'cp_sticky_menu/config.php';
 
class Cp_sticky_menu_ext 
{	
	
	public $name			= CP_SM_NAME;
	public $description		= CP_SM_DESCRIPTION;
	public $version			= CP_SM_VERSION;
	public $settings 		= array();
	public $docs_url		= CP_SM_DOCS;
	public $settings_exist	= 'n';
	//public $required_by 	= array(CP_SM_NAME);
	
	private $EE;
	
	/**
     * Constructor
     *
     * @param   mixed   Settings array or empty string if none exist.
     */
    function __construct($settings = '')
    {
        $this->EE =& get_instance();

        $this->settings = $settings;
    }

    /**
    * Activate Extension
    *
    * This function enters the extension into the exp_extensions table
    *
    * @see http://codeigniter.com/user_guide/database/index.html for
    * more information on the db class.
    *
    * @return void
    */
    function activate_extension()
    {
        $data = array(
            'class'     => __CLASS__,
            'method'    => 'cp_menu_array',
            'hook'      => 'cp_menu_array',
            'settings'  => serialize($this->settings),
            'priority'  => 10,
            'version'   => $this->version,
            'enabled'   => 'y'
        );

        $this->EE->db->insert('extensions', $data);
    }

    /**
    * Update Extension
    *
    * This function performs any necessary db updates when the extension
    * page is visited
    *
    * @return  mixed   void on update / false if none
    */
    function update_extension($current = '')
    {
        if ($current == '' OR $current == $this->version)
        {
            return FALSE;
        }

        $this->EE->db->where('class', __CLASS__);
        $this->EE->db->update(
            'extensions',
            array('version' => $this->version)
        );
    }

    /**
    * Disable Extension
    *
    * This method removes information from the exp_extensions table
    *
    * @return void
    */
    function disable_extension()
    {
        $this->EE->db->where('class', __CLASS__);
        $this->EE->db->delete('extensions');
    }

    /**
    * cp_menu_array
    *
    * @return void
    */
    function cp_menu_array($menu)
    {
        $css = '
            body {
                padding-top:40px;
            }
            #mainMenu {
                width:100%;
                box-shadow: 0px 1px 50px #5E5E5E;
                position:fixed;
                top:0;
                z-index:1001;
            }
    
        ';
        ee()->cp->add_to_foot('<style type="text/css">'.$css.'</style>');
       
       return $menu; 
    }
	
	// ----------------------------------------------------------------------
}

/* End of file ext.default.php */
/* Location: /system/expressionengine/third_party/default/ext.default.php */